package cviceni4.dao;
import cviceni4.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

/**
 *
 * @author lumi
 */
public class UzivatelDAO {
  EntityManagerFactory emf = Persistence.createEntityManagerFactory("cviceni06cPU");
    
  private static String connectionString;

  public static void setConnectionString(String cString) {
    connectionString = cString;
  }
  
  public void delete(Uzivatel u) throws Exception {
    EntityManager em = emf.createEntityManager();
    try {
      em.getTransaction().begin();
      em.remove(u);
      em.getTransaction().commit();
    } catch (Exception e) {
      java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
      em.getTransaction().rollback();
    } finally {
      em.close();
    }
  }
  
  public Uzivatel findByLogin(String login) {
    EntityManager em = emf.createEntityManager();
    Uzivatel u;
    try {
      em.getTransaction().begin();
      return em.find(Uzivatel.class,login);
    } catch (Exception e) {
      java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
    } finally {
      em.close();
    }
    return null;
  }
  
  public List<Uzivatel> findAll() {
    EntityManager em = emf.createEntityManager();
    
    try {
      em.getTransaction().begin();
      Query q =em.createQuery("select u from Uzivatel u");
      return q.getResultList();
    } catch (Exception e) {
      java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
    } finally {
    }
    return new ArrayList<Uzivatel>();
  }

  public void persist(Uzivatel object) {
    EntityManager em = emf.createEntityManager();
    try {
      em.getTransaction().begin();
      em.persist(object);
      em.getTransaction().commit();
    } catch (Exception e) {
      java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
      em.getTransaction().rollback();
    } finally {
      em.close();
    }
  }

}
